## $Id: pages.py 15176 2018-09-26 05:47:59Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
import grok
from waeup.kofa.browser.pages import (
    SessionConfigurationAddFormPage, SessionConfigurationManageFormPage,
    LoginPage, CertificatePage, CertificateManageFormPage,
    ConfigurationContainerManageFormPage)
from waeup.kofa.interfaces import IConfigurationContainer
from waeup.kofa.university.interfaces import ICertificate
from kofacustom.edopoly.interfaces import (
    ICustomSessionConfiguration, ICustomSessionConfigurationAdd)

class CustomConfigurationContainerManageFormPage(
    ConfigurationContainerManageFormPage):

    form_fields = grok.AutoFields(IConfigurationContainer).omit(
        'frontpage_dict')
    form_fields['maintmode_enabled_by'].for_display = True

class CustomSessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
    """Add a session configuration object to configuration container.
    """
    form_fields = grok.AutoFields(ICustomSessionConfigurationAdd)

class CustomSessionConfigurationManageFormPage(SessionConfigurationManageFormPage):
    """Manage session configuration object.
    """
    form_fields = grok.AutoFields(ICustomSessionConfiguration)

class CustomCertificatePage(CertificatePage):
    """Index page for certificates.
    """
    form_fields = grok.AutoFields(ICertificate).omit(
        'school_fee_2', 'school_fee_3', 'school_fee_4', 'ratio',
        'custom_textline_1', 'custom_textline_2',
        'custom_float_1', 'custom_float_2')

class CustomCertificateManageFormPage(CertificateManageFormPage):
    """Manage the properties of a `Certificate` instance.
    """
    form_fields = grok.AutoFields(ICertificate).omit(
        'school_fee_2', 'school_fee_3', 'school_fee_4', 'ratio',
        'custom_textline_1', 'custom_textline_2',
        'custom_float_1', 'custom_float_2')
